Skip to main content
GET
Aggregate usage event quantities matching a property.

Authorizations

x-api-key
string
header
required

LedgerUp API Key.

Query Parameters

property
string
required
Maximum string length: 100
Pattern: ^[A-Za-z0-9_]+$
value
string
required
Required string length: 1 - 500
aggregation
enum<string>
default:sum

Aggregation applied to corrected usage events. latest returns the quantity from the event with the latest occurred_at; ties use accepted_at then event ID. count returns the number of events.

Available options:
sum,
min,
max,
avg,
latest,
count
Example:

"sum"

start_at
integer<int64>

Inclusive lower bound for event occurrence time. Defaults to five years before the request. Unix timestamp in seconds.

Example:

1767225600

end_at
integer<int64>

Exclusive upper bound for event occurrence time. Defaults to the request time. Unix timestamp in seconds.

Example:

1767225600

currency
string

Aggregate only matching events for this currency. Normalized to lowercase.

Pattern: ^[A-Za-z]{3}$
Example:

"usd"

Response

Metric totals for matching usage events.

property
string
required
Example:

"ari_job_id"

value
string
required
Example:

"018f5f0c-1111-7abc-8def-123456789abc"

aggregation
enum<string>
default:sum
required

Aggregation applied to corrected usage events. latest returns the quantity from the event with the latest occurred_at; ties use accepted_at then event ID. count returns the number of events.

Available options:
sum,
min,
max,
avg,
latest,
count
Example:

"sum"

data
object[]
required